package com.seeyon.apps.src_automatic.util;

import com.seeyon.ctp.common.SystemEnvironment;

/**
 * Description
 * <pre>获取A8产品下面的文件夹路径</pre>
 */
public class A8FolderKit {
	
	private static String A8_APPLICAION_FLODER = "";
	
	/**
	 * Description:
	 * <pre>获取到A8的安装模目录，ApacheJetspeed目录的父目录</pre>
	 * @return
	 */
	public static String getApplicationFolder() {
		if("".equals(A8_APPLICAION_FLODER)) {
			String installPath = SystemEnvironment.getApplicationFolder();
			A8_APPLICAION_FLODER = installPath.split("ApacheJetspeed")[0].replaceAll("\\\\", "/");
		}
		return A8_APPLICAION_FLODER;
	}

}
